#!/bin/bash

# Note: dlib 19.21 is installed in /opt/dlib-19.21/ (path is hardcoded in CMakeLists.txt)

if [ ! -d build ]; then
    mkdir build
fi

cd build || exit
cmake -DCMAKE_BUILD_TYPE=Release -DUSE_AVX_INSTRUCTIONS=ON .. && make -j 16 && echo -e "execute with:\ncd build && ./train_net"

